darcs-2.18.2: a distributed, interactive, smart revision control system

Safe Haskell | None
Language | Haskell2010

Darcs.Repository.Flags

# Documentation

data RemoteDarcs #

Constructors

RemoteDarcs String |
DefaultRemoteDarcs |

#### Instances

Instances details

Show RemoteDarcs # |
Instance details Defined in Darcs.Repository.Flags Methods showsPrec :: Int -> RemoteDarcs -> ShowS # show :: RemoteDarcs -> String # showList :: [RemoteDarcs] -> ShowS #
Eq RemoteDarcs # |
Instance details Defined in Darcs.Repository.Flags Methods (==) :: RemoteDarcs -> RemoteDarcs -> Bool # (/=) :: RemoteDarcs -> RemoteDarcs -> Bool #

remoteDarcs :: RemoteDarcs -> String #

data Reorder #

Constructors

NoReorder |
Reorder |

#### Instances

Instances details

YesNo Reorder # |
Instance details Defined in Darcs.UI.Options.All Methods yes :: Reorder -> Bool # no :: Reorder -> Bool #
Eq Reorder # |
Instance details Defined in Darcs.Repository.Flags Methods (==) :: Reorder -> Reorder -> Bool # (/=) :: Reorder -> Reorder -> Bool #

data Verbosity #

Constructors

Quiet |
NormalVerbosity |
Verbose |

#### Instances

Instances details

Show Verbosity # |
Instance details Defined in Darcs.Repository.Flags Methods showsPrec :: Int -> Verbosity -> ShowS # show :: Verbosity -> String # showList :: [Verbosity] -> ShowS #
Eq Verbosity # |
Instance details Defined in Darcs.Repository.Flags Methods (==) :: Verbosity -> Verbosity -> Bool # (/=) :: Verbosity -> Verbosity -> Bool #

data UpdatePending #

Constructors

YesUpdatePending |
NoUpdatePending |

#### Instances

Instances details

Show UpdatePending # |
Instance details Defined in Darcs.Repository.Flags Methods showsPrec :: Int -> UpdatePending -> ShowS # show :: UpdatePending -> String # showList :: [UpdatePending] -> ShowS #
Eq UpdatePending # |
Instance details Defined in Darcs.Repository.Flags Methods (==) :: UpdatePending -> UpdatePending -> Bool # (/=) :: UpdatePending -> UpdatePending -> Bool #

data UseCache #

Constructors

YesUseCache |
NoUseCache |

#### Instances

Instances details

Show UseCache # |
Instance details Defined in Darcs.Repository.Flags Methods showsPrec :: Int -> UseCache -> ShowS # show :: UseCache -> String # showList :: [UseCache] -> ShowS #
YesNo UseCache # |
Instance details Defined in Darcs.UI.Options.All Methods yes :: UseCache -> Bool # no :: UseCache -> Bool #
Eq UseCache # |
Instance details Defined in Darcs.Repository.Flags Methods (==) :: UseCache -> UseCache -> Bool # (/=) :: UseCache -> UseCache -> Bool #

data DryRun #

Constructors

YesDryRun |
NoDryRun |

#### Instances

Instances details

Show DryRun # |
Instance details Defined in Darcs.Repository.Flags Methods showsPrec :: Int -> DryRun -> ShowS # show :: DryRun -> String # showList :: [DryRun] -> ShowS #
YesNo DryRun # |
Instance details Defined in Darcs.UI.Options.All Methods yes :: DryRun -> Bool # no :: DryRun -> Bool #
Eq DryRun # |
Instance details Defined in Darcs.Repository.Flags Methods (==) :: DryRun -> DryRun -> Bool # (/=) :: DryRun -> DryRun -> Bool #

data UMask #

Constructors

YesUMask String |
NoUMask |

#### Instances

Instances details

Show UMask # |
Instance details Defined in Darcs.Repository.Flags Methods showsPrec :: Int -> UMask -> ShowS # show :: UMask -> String # showList :: [UMask] -> ShowS #
Eq UMask # |
Instance details Defined in Darcs.Repository.Flags Methods (==) :: UMask -> UMask -> Bool # (/=) :: UMask -> UMask -> Bool #

data LookForAdds #

Constructors

NoLookForAdds |
YesLookForAdds |
EvenLookForBoring |

#### Instances

Instances details

Show LookForAdds # |
Instance details Defined in Darcs.Repository.Flags Methods showsPrec :: Int -> LookForAdds -> ShowS # show :: LookForAdds -> String # showList :: [LookForAdds] -> ShowS #
YesNo LookForAdds # |
Instance details Defined in Darcs.UI.Options.All Methods yes :: LookForAdds -> Bool # no :: LookForAdds -> Bool #
Eq LookForAdds # |
Instance details Defined in Darcs.Repository.Flags Methods (==) :: LookForAdds -> LookForAdds -> Bool # (/=) :: LookForAdds -> LookForAdds -> Bool #

data LookForReplaces #

Constructors

YesLookForReplaces |
NoLookForReplaces |

#### Instances

Instances details

Show LookForReplaces # |
Instance details Defined in Darcs.Repository.Flags Methods showsPrec :: Int -> LookForReplaces -> ShowS # show :: LookForReplaces -> String # showList :: [LookForReplaces] -> ShowS #
YesNo LookForReplaces # |
Instance details Defined in Darcs.UI.Options.All Methods yes :: LookForReplaces -> Bool # no :: LookForReplaces -> Bool #
Eq LookForReplaces # |
Instance details Defined in Darcs.Repository.Flags Methods (==) :: LookForReplaces -> LookForReplaces -> Bool # (/=) :: LookForReplaces -> LookForReplaces -> Bool #

data DiffAlgorithm #

Constructors

PatienceDiff |
MyersDiff |

#### Instances

Instances details

Show DiffAlgorithm # |
Instance details Defined in Darcs.Util.Diff Methods showsPrec :: Int -> DiffAlgorithm -> ShowS # show :: DiffAlgorithm -> String # showList :: [DiffAlgorithm] -> ShowS #
Eq DiffAlgorithm # |
Instance details Defined in Darcs.Util.Diff Methods (==) :: DiffAlgorithm -> DiffAlgorithm -> Bool # (/=) :: DiffAlgorithm -> DiffAlgorithm -> Bool #

data LookForMoves #

Constructors

YesLookForMoves |
NoLookForMoves |

#### Instances

Instances details

Show LookForMoves # |
Instance details Defined in Darcs.Repository.Flags Methods showsPrec :: Int -> LookForMoves -> ShowS # show :: LookForMoves -> String # showList :: [LookForMoves] -> ShowS #
YesNo LookForMoves # |
Instance details Defined in Darcs.UI.Options.All Methods yes :: LookForMoves -> Bool # no :: LookForMoves -> Bool #
Eq LookForMoves # |
Instance details Defined in Darcs.Repository.Flags Methods (==) :: LookForMoves -> LookForMoves -> Bool # (/=) :: LookForMoves -> LookForMoves -> Bool #

data DiffOpts #

Constructors

DiffOpts |

Fields

- withIndex :: UseIndex
- lookForAdds :: LookForAdds
- lookForReplaces :: LookForReplaces
- lookForMoves :: LookForMoves
- diffAlg :: DiffAlgorithm

#### Instances

Instances details

Show DiffOpts # |
Instance details Defined in Darcs.Repository.Flags Methods showsPrec :: Int -> DiffOpts -> ShowS # show :: DiffOpts -> String # showList :: [DiffOpts] -> ShowS #

data RunTest #

Constructors

YesRunTest |
NoRunTest |

#### Instances

Instances details

Show RunTest # |
Instance details Defined in Darcs.Repository.Flags Methods showsPrec :: Int -> RunTest -> ShowS # show :: RunTest -> String # showList :: [RunTest] -> ShowS #
YesNo RunTest # |
Instance details Defined in Darcs.UI.Options.All Methods yes :: RunTest -> Bool # no :: RunTest -> Bool #
Eq RunTest # |
Instance details Defined in Darcs.Repository.Flags Methods (==) :: RunTest -> RunTest -> Bool # (/=) :: RunTest -> RunTest -> Bool #

data SetScriptsExecutable #

Constructors

YesSetScriptsExecutable |
NoSetScriptsExecutable |

#### Instances

Instances details

Show SetScriptsExecutable # |
Instance details Defined in Darcs.Repository.Flags Methods showsPrec :: Int -> SetScriptsExecutable -> ShowS # show :: SetScriptsExecutable -> String # showList :: [SetScriptsExecutable] -> ShowS #
YesNo SetScriptsExecutable # |
Instance details Defined in Darcs.UI.Options.All Methods yes :: SetScriptsExecutable -> Bool # no :: SetScriptsExecutable -> Bool #
Eq SetScriptsExecutable # |
Instance details Defined in Darcs.Repository.Flags Methods (==) :: SetScriptsExecutable -> SetScriptsExecutable -> Bool # (/=) :: SetScriptsExecutable -> SetScriptsExecutable -> Bool #

data LeaveTestDir #

Constructors

YesLeaveTestDir |
NoLeaveTestDir |

#### Instances

Instances details

Show LeaveTestDir # |
Instance details Defined in Darcs.Repository.Flags Methods showsPrec :: Int -> LeaveTestDir -> ShowS # show :: LeaveTestDir -> String # showList :: [LeaveTestDir] -> ShowS #
YesNo LeaveTestDir # |
Instance details Defined in Darcs.UI.Options.All Methods yes :: LeaveTestDir -> Bool # no :: LeaveTestDir -> Bool #
Eq LeaveTestDir # |
Instance details Defined in Darcs.Repository.Flags Methods (==) :: LeaveTestDir -> LeaveTestDir -> Bool # (/=) :: LeaveTestDir -> LeaveTestDir -> Bool #

data SetDefault #

Constructors

YesSetDefault Bool |
NoSetDefault Bool |

#### Instances

Instances details

Show SetDefault # |
Instance details Defined in Darcs.Repository.Flags Methods showsPrec :: Int -> SetDefault -> ShowS # show :: SetDefault -> String # showList :: [SetDefault] -> ShowS #
Eq SetDefault # |
Instance details Defined in Darcs.Repository.Flags Methods (==) :: SetDefault -> SetDefault -> Bool # (/=) :: SetDefault -> SetDefault -> Bool #

data InheritDefault #

Constructors

YesInheritDefault |
NoInheritDefault |

#### Instances

Instances details

Show InheritDefault # |
Instance details Defined in Darcs.Repository.Flags Methods showsPrec :: Int -> InheritDefault -> ShowS # show :: InheritDefault -> String # showList :: [InheritDefault] -> ShowS #
YesNo InheritDefault # |
Instance details Defined in Darcs.UI.Options.All Methods yes :: InheritDefault -> Bool # no :: InheritDefault -> Bool #
Eq InheritDefault # |
Instance details Defined in Darcs.Repository.Flags Methods (==) :: InheritDefault -> InheritDefault -> Bool # (/=) :: InheritDefault -> InheritDefault -> Bool #

data UseIndex #

Constructors

UseIndex |
IgnoreIndex |

#### Instances

Instances details

Show UseIndex # |
Instance details Defined in Darcs.Repository.Flags Methods showsPrec :: Int -> UseIndex -> ShowS # show :: UseIndex -> String # showList :: [UseIndex] -> ShowS #
YesNo UseIndex # |
Instance details Defined in Darcs.UI.Options.All Methods yes :: UseIndex -> Bool # no :: UseIndex -> Bool #
Eq UseIndex # |
Instance details Defined in Darcs.Repository.Flags Methods (==) :: UseIndex -> UseIndex -> Bool # (/=) :: UseIndex -> UseIndex -> Bool #

data CloneKind #

Constructors

LazyClone | Just copy pristine and inventories
NormalClone | First do a lazy clone then copy everything
CompleteClone | Same as Normal but omit telling user they can interrumpt

#### Instances

Instances details

Show CloneKind # |
Instance details Defined in Darcs.Repository.Flags Methods showsPrec :: Int -> CloneKind -> ShowS # show :: CloneKind -> String # showList :: [CloneKind] -> ShowS #
Eq CloneKind # |
Instance details Defined in Darcs.Repository.Flags Methods (==) :: CloneKind -> CloneKind -> Bool # (/=) :: CloneKind -> CloneKind -> Bool #

data AllowConflicts #

Constructors

NoAllowConflicts |
YesAllowConflicts ResolveConflicts |

#### Instances

Instances details

Show AllowConflicts # |
Instance details Defined in Darcs.Repository.Flags Methods showsPrec :: Int -> AllowConflicts -> ShowS # show :: AllowConflicts -> String # showList :: [AllowConflicts] -> ShowS #
Eq AllowConflicts # |
Instance details Defined in Darcs.Repository.Flags Methods (==) :: AllowConflicts -> AllowConflicts -> Bool # (/=) :: AllowConflicts -> AllowConflicts -> Bool #

data ResolveConflicts #

Constructors

NoResolveConflicts |
MarkConflicts |
ExternalMerge String |

#### Instances

Instances details

Show ResolveConflicts # |
Instance details Defined in Darcs.Repository.Flags Methods showsPrec :: Int -> ResolveConflicts -> ShowS # show :: ResolveConflicts -> String # showList :: [ResolveConflicts] -> ShowS #
Eq ResolveConflicts # |
Instance details Defined in Darcs.Repository.Flags Methods (==) :: ResolveConflicts -> ResolveConflicts -> Bool # (/=) :: ResolveConflicts -> ResolveConflicts -> Bool #

data WorkRepo #

Constructors

WorkRepoDir String |
WorkRepoPossibleURL String |
WorkRepoCurrentDir |

#### Instances

Instances details

Show WorkRepo # |
Instance details Defined in Darcs.Repository.Flags Methods showsPrec :: Int -> WorkRepo -> ShowS # show :: WorkRepo -> String # showList :: [WorkRepo] -> ShowS #
Eq WorkRepo # |
Instance details Defined in Darcs.Repository.Flags Methods (==) :: WorkRepo -> WorkRepo -> Bool # (/=) :: WorkRepo -> WorkRepo -> Bool #

data WantGuiPause #

Constructors

YesWantGuiPause |
NoWantGuiPause |

#### Instances

Instances details

Show WantGuiPause # |
Instance details Defined in Darcs.Repository.Flags Methods showsPrec :: Int -> WantGuiPause -> ShowS # show :: WantGuiPause -> String # showList :: [WantGuiPause] -> ShowS #
YesNo WantGuiPause # |
Instance details Defined in Darcs.UI.Options.All Methods yes :: WantGuiPause -> Bool # no :: WantGuiPause -> Bool #
Eq WantGuiPause # |
Instance details Defined in Darcs.Repository.Flags Methods (==) :: WantGuiPause -> WantGuiPause -> Bool # (/=) :: WantGuiPause -> WantGuiPause -> Bool #

data WithPatchIndex #

Constructors

YesPatchIndex |
NoPatchIndex |

#### Instances

Instances details

Show WithPatchIndex # |
Instance details Defined in Darcs.Repository.Flags Methods showsPrec :: Int -> WithPatchIndex -> ShowS # show :: WithPatchIndex -> String # showList :: [WithPatchIndex] -> ShowS #
YesNo WithPatchIndex # |
Instance details Defined in Darcs.UI.Options.All Methods yes :: WithPatchIndex -> Bool # no :: WithPatchIndex -> Bool #
Eq WithPatchIndex # |
Instance details Defined in Darcs.Repository.Flags Methods (==) :: WithPatchIndex -> WithPatchIndex -> Bool # (/=) :: WithPatchIndex -> WithPatchIndex -> Bool #

data WithWorkingDir #

Constructors

WithWorkingDir |
NoWorkingDir |

#### Instances

Instances details

Show WithWorkingDir # |
Instance details Defined in Darcs.Repository.Flags Methods showsPrec :: Int -> WithWorkingDir -> ShowS # show :: WithWorkingDir -> String # showList :: [WithWorkingDir] -> ShowS #
YesNo WithWorkingDir # |
Instance details Defined in Darcs.UI.Options.All Methods yes :: WithWorkingDir -> Bool # no :: WithWorkingDir -> Bool #
Eq WithWorkingDir # |
Instance details Defined in Darcs.Repository.Flags Methods (==) :: WithWorkingDir -> WithWorkingDir -> Bool # (/=) :: WithWorkingDir -> WithWorkingDir -> Bool #

data ForgetParent #

Constructors

YesForgetParent |
NoForgetParent |

#### Instances

Instances details

Show ForgetParent # |
Instance details Defined in Darcs.Repository.Flags Methods showsPrec :: Int -> ForgetParent -> ShowS # show :: ForgetParent -> String # showList :: [ForgetParent] -> ShowS #
Eq ForgetParent # |
Instance details Defined in Darcs.Repository.Flags Methods (==) :: ForgetParent -> ForgetParent -> Bool # (/=) :: ForgetParent -> ForgetParent -> Bool #

data PatchFormat #

Constructors

PatchFormat1 |
PatchFormat2 |
PatchFormat3 |

#### Instances

Instances details

Show PatchFormat # |
Instance details Defined in Darcs.Repository.Flags Methods showsPrec :: Int -> PatchFormat -> ShowS # show :: PatchFormat -> String # showList :: [PatchFormat] -> ShowS #
Eq PatchFormat # |
Instance details Defined in Darcs.Repository.Flags Methods (==) :: PatchFormat -> PatchFormat -> Bool # (/=) :: PatchFormat -> PatchFormat -> Bool #

data WithPrefsTemplates #

Constructors

WithPrefsTemplates |
NoPrefsTemplates |

#### Instances

Instances details

Show WithPrefsTemplates # |
Instance details Defined in Darcs.Repository.Flags Methods showsPrec :: Int -> WithPrefsTemplates -> ShowS # show :: WithPrefsTemplates -> String # showList :: [WithPrefsTemplates] -> ShowS #
YesNo WithPrefsTemplates # |
Instance details Defined in Darcs.UI.Options.All Methods yes :: WithPrefsTemplates -> Bool # no :: WithPrefsTemplates -> Bool #
Eq WithPrefsTemplates # |
Instance details Defined in Darcs.Repository.Flags Methods (==) :: WithPrefsTemplates -> WithPrefsTemplates -> Bool # (/=) :: WithPrefsTemplates -> WithPrefsTemplates -> Bool #

data OptimizeDeep #

Constructors

OptimizeShallow |
OptimizeDeep |

#### Instances

Instances details

Show OptimizeDeep # |
Instance details Defined in Darcs.Repository.Flags Methods showsPrec :: Int -> OptimizeDeep -> ShowS # show :: OptimizeDeep -> String # showList :: [OptimizeDeep] -> ShowS #
Eq OptimizeDeep # |
Instance details Defined in Darcs.Repository.Flags Methods (==) :: OptimizeDeep -> OptimizeDeep -> Bool # (/=) :: OptimizeDeep -> OptimizeDeep -> Bool #